Main Page Packages Class Hierarchy Compound List File List Compound Members

# documentcreatecdatasection Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| documentcreatecdatasection (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "createCDATASection(data)" method creates a new CDATASection node whose value is the specified string. Retrieve the entire DOM document and invoke its "createCDATASection(data)" method. It should create a new CDATASection node whose "data" is the specified string. The content, name and type are retrieved and output.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-D26C0AF8

Definition at line 44 of file documentcreatecdatasection.java.

## Constructor & Destructor Documentation

documentcreatecdatasection::documentcreatecdatasection | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 46 of file documentcreatecdatasection.java.
    00046                                                                              {
    00047       super(factory);
    00048    }

## Member Function Documentation

String documentcreatecdatasection::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 66 of file documentcreatecdatasection.java.
    00066                                 {
    00067       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/documentcreatecdatasection";
    00068    }

void documentcreatecdatasection::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 69 of file documentcreatecdatasection.java. References DOMTestCase::doMain().
    00069                                           {
    00070         DOMTestCase.doMain(documentcreatecdatasection.class,args);
    00071    }

void documentcreatecdatasection::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 50 of file documentcreatecdatasection.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00050                                                     {
    00051       Document doc;
    00052       CDATASection newCDATASectionNode;
    00053       String newCDATASectionValue;
    00054       String newCDATASectionName;
    00055       int newCDATASectionType;
    00056       doc = load("staff");
    00057       newCDATASectionNode = doc.createCDATASection("This is a new CDATASection node");
    00058       newCDATASectionValue = newCDATASectionNode.getNodeValue();
    00059       assertEquals("nodeValue","This is a new CDATASection node",newCDATASectionValue);
    00060       newCDATASectionName = newCDATASectionNode.getNodeName();
    00061       assertEquals("nodeName","#cdata-section",newCDATASectionName);
    00062       newCDATASectionType = (int)newCDATASectionNode.getNodeType();
    00063       assertEquals("nodeType",4,newCDATASectionType);
    00064
    00065    }

The documentation for this class was generated from the following file:

- documentcreatecdatasection.java